Bug 813402 - [RFE] Warn users in UI when password is going to expire in n days
[RFE] Warn users in UI when password is going to expire in n days
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 12:25 EDT by Dmitri Pal
Modified: 2013-02-21 04:11 EST (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Warn users in Identity Management Web UI when their password is about to expire. Reason: Identity Management users or Administrators with an expired password may have issues authenticating to Identity Management until they reset the password. Result (if any): When Identity Management user password is about to expire in a configurable number of days, the user is notified in Identity Management Web UI about that event and is offered a link to reset the password.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:11:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 03:22:21 EST

  None (edit)
Description Dmitri Pal 2012-04-17 12:25:20 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2625

We already have a config option for notifying users of pending password expiration. We can use this to notify UI users in some sort of notification area, along with a link to where to reset the password.
Comment 1 RHEL Product and Program Management 2012-07-10 02:22:23 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:27:12 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Petr Vobornik 2012-09-12 08:52:42 EDT
Fixed upstream.

* master: 5b7084aeb587cd06dcfae8ab6fa3b175e6704138
Comment 6 Varun Mylaraiah 2013-01-18 09:57:26 EST
verified in ipa-server-3.0.0-22.el6.x86_64

https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/automation/firefox/test-output-ipa-server-3.0.0-QA/0114_64bit/full%20suite/IPASelfservicepermissionTestSuite/index.html



testUserPwdExpir_BZ813402
Login as user and add sshkey
Parameters: PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.
Hide output Show all outputs
Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Starting Test: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Asserted: Added user user813402 successfully

Asserted: reset password for first time login

Password for user813402@TESTRELM.COM:

Warning: Your password will expire in 3 days on Tue Jan 15 15:29:56 2013

Asserted: Logged in successfully as user813402

Asserted: Max lifetime is 4

changing date

incremented 2 days successfully

Asserted: Expected message :- Your password expires in 1 days. Reset your password.

password re-set successfully

Asserted: Verify user user813402 to be deleted exists

Asserted: User user813402 deleted successfully

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])

Test Passed: testUserPwdExpir_BZ813402([PasswordExpiration_BZ813402, user813402, user, test, Password123, varun123, Secret123, Your password expires in 1 days. Reset your password.])
Comment 8 errata-xmlrpc 2013-02-21 04:11:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.